Bug 497000 - the src.rpm can't be rebuild
the src.rpm can't be rebuild
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tetex (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 19:14 EDT by Levente Farkas
Modified: 2013-07-02 19:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-28 09:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
be my quest:-) (737 bytes, text/plain)
2009-04-22 05:45 EDT, Levente Farkas
no flags Details
build log (930.36 KB, application/octet-stream)
2009-04-23 10:36 EDT, Jindrich Novy
no flags Details

  None (edit)
Description Levente Farkas 2009-04-21 19:14:03 EDT
this src.rpm can't be rebuild on 5.3 because of this strange error:

+ ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu --target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --with-system-ncurses --with-system-zlib --with-system-pnglib --with-system-gd --disable-multiplatform --without-dialog --without-texinfo --without-texi2html --with-mf-x-toolkit=yes --with-xdvi-x-toolkit=xaw3d --datadir=/usr/share --enable-freetype
creating cache ./config.cache
checking whether make sets ${MAKE}... yes
checking for gcc... gcc
checking whether the C compiler (gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
error: Bad exit status from /var/tmp/rpm-tmp.16788 (%build)
Comment 1 Jindrich Novy 2009-04-22 02:58:37 EDT
Could you please attach config.log generated in the directory where the configure script was ran?
Comment 2 Levente Farkas 2009-04-22 05:45:22 EDT
Created attachment 340706 [details]
be my quest:-)

anyway it's compile for you on 5.3???
Comment 3 Jindrich Novy 2009-04-22 10:42:59 EDT
Yes, it builds without problems. Just tried that under RHEL5.

As far as I can see it seems the problem is in your toolchain, gcc or its dependencies aren't properly installed. The rebuild should work fine as soon as you fix them.
Comment 4 Levente Farkas 2009-04-23 07:58:03 EDT
ohh come on i have to prove again that i'm not a looser?!
this is simple not true! have you try?
i'm just install a brand new rhel 5.3 and tetex buildreqs:
----------------------------
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.3 (Tikanga)
----------------------------
and then issue:
----------------------------
# rpmbuild --rebuild --clean tetex-3.0-33.2.el5_1.2.src.rpm
----------------------------
the output contains a lots of:
warning: user brewbuilder does not exist - using root
warning: group brewbuilder does not exist - using root
and then comes the build and the error
what else should i have to show you???
if it's a toolchain problem then that buildreq missing from the spec file which is also a bug.
----------------------------
Installing /mnt/download/mirror/redhat/5.3/SRPMS/tetex-3.0-33.2.el5_1.2.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.49353
+ umask 022
+ cd /home/robot/rpm/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/robot/rpm/BUILD
+ rm -rf tetex-src-3.0
+ /usr/bin/bzip2 -dc /home/robot/rpm/SOURCES/tetex-src-3.0.tar.bz2
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd tetex-src-3.0
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ mkdir texmf
+ bzip2 -cd /home/robot/rpm/SOURCES/tetex-texmf-3.0.tar.bz2
+ tar xf - -C texmf
+ rm -f texmf/ls-R
+ echo 'Patch #0 (tetex-1.0-varconfig.patch):'
Patch #0 (tetex-1.0-varconfig.patch):
+ patch -p1 -b --suffix .varconfig -s
+ echo 'Patch #1 (tetex-3.0-texmfcnf.patch):'
Patch #1 (tetex-3.0-texmfcnf.patch):
+ patch -p1 -b --suffix .texmfcnf -s
+ echo 'Patch #2 (tetex-3.0-fmtutil.patch):'
Patch #2 (tetex-3.0-fmtutil.patch):
+ patch -p1 -b --suffix .fmtutil -s
+ echo 'Patch #3 (tetex-texmf-dvipsgeneric.patch):'
Patch #3 (tetex-texmf-dvipsgeneric.patch):
+ patch -p1 -s
+ echo 'Patch #4 (tetex-3.0-texdoc-defaults.patch):'
Patch #4 (tetex-3.0-texdoc-defaults.patch):
+ patch -p1 -b --suffix .texdoc-defaults -s
+ echo 'Patch #5 (tetex-3.0-browser.patch):'
Patch #5 (tetex-3.0-browser.patch):
+ patch -p1 -b --suffix .browser -s
+ echo 'Patch #6 (tetex-3.0-tkdep.patch):'
Patch #6 (tetex-3.0-tkdep.patch):
+ patch -p1 -b --suffix .tkdep -s
+ echo 'Patch #7 (tetex-3.0-tkdefaults.patch):'
Patch #7 (tetex-3.0-tkdefaults.patch):
+ patch -p1 -b --suffix .tkdefaults -s
+ echo 'Patch #8 (tetex-3.0-xprint.patch):'
Patch #8 (tetex-3.0-xprint.patch):
+ patch -p1 -b --suffix .xprint -s
+ echo 'Patch #10 (tetex-2.0.2-dvipdfm-security.patch):'
Patch #10 (tetex-2.0.2-dvipdfm-security.patch):
+ patch -p1 -b --suffix .dvipdfm-security -s
+ echo 'Patch #11 (tetex-3.0-makej.patch):'
Patch #11 (tetex-3.0-makej.patch):
+ patch -p1 -b --suffix .makej -s
+ echo 'Patch #12 (tetex-3.0-badscript.patch):'
Patch #12 (tetex-3.0-badscript.patch):
+ patch -p1 -b --suffix .badscript -s
+ echo 'Patch #13 (tetex-3.0-marvosym-rightarrow.patch):'
Patch #13 (tetex-3.0-marvosym-rightarrow.patch):
+ patch -p1 -b --suffix .rightarrow -s
+ echo 'Patch #14 (tetex-3.0-dcb314.patch):'
Patch #14 (tetex-3.0-dcb314.patch):
+ patch -p1 -b --suffix .dcb314 -s
+ echo 'Patch #15 (tetex-3.0-xdvi-keepflag.patch):'
Patch #15 (tetex-3.0-xdvi-keepflag.patch):
+ patch -p1 -b --suffix .xdvi-keepflag -s
+ echo 'Patch #16 (tetex-3.0-texconfig-sortfix.patch):'
Patch #16 (tetex-3.0-texconfig-sortfix.patch):
+ patch -p1 -b --suffix .texconfig-sortfix -s
+ echo 'Patch #17 (tetex-3.0-tmpcleanup.patch):'
Patch #17 (tetex-3.0-tmpcleanup.patch):
+ patch -p1 -b --suffix .tmpcleanup -s
+ echo 'Patch #18 (tetex-3.0-CVE-2005-3193.patch):'
Patch #18 (tetex-3.0-CVE-2005-3193.patch):
+ patch -p1 -b --suffix .CVE-2005-3193 -s
+ echo 'Patch #19 (tetex-3.0-kpse-extensions.patch):'
Patch #19 (tetex-3.0-kpse-extensions.patch):
+ patch -p1 -b --suffix .kpse-extensions -s
+ echo 'Patch #20 (tetex-3.0-epstopdf.patch):'
Patch #20 (tetex-3.0-epstopdf.patch):
+ patch -p1 -b --suffix .eps2pdf -s
+ echo 'Patch #21 (tetex-3.0-dvipdfm.patch):'
Patch #21 (tetex-3.0-dvipdfm.patch):
+ patch -p1 -b --suffix .dvipdfm-overflow -s
+ echo 'Patch #22 (tetex-3.0-selinux.patch):'
Patch #22 (tetex-3.0-selinux.patch):
+ patch -p1 -b --suffix .selinux -s
+ echo 'Patch #23 (tetex-3.0-footfix.patch):'
Patch #23 (tetex-3.0-footfix.patch):
+ patch -p1 -b --suffix .footfix -s
+ echo 'Patch #24 (tetex-3.0-CVE-2007-3387.patch):'
Patch #24 (tetex-3.0-CVE-2007-3387.patch):
+ patch -p1 -b --suffix .CVE-2007-3387 -s
+ echo 'Patch #25 (tetex-3.0-CVE-2007-4033.patch):'
Patch #25 (tetex-3.0-CVE-2007-4033.patch):
+ patch -p1 -b --suffix .CVE-2007-4033 -s
+ echo 'Patch #26 (tetex-3.0-CVE-2007-5393.patch):'
Patch #26 (tetex-3.0-CVE-2007-5393.patch):
+ patch -p1 -b --suffix .CVE-2007-5393 -s
+ mkdir texmf/ptex-texmf
+ tar xfj /home/robot/rpm/SOURCES/ptex-texmf-2.4.tar.bz2 -C texmf/ptex-texmf
+ for i in doc fonts jbibtex ptex
+ cp -a texmf/ptex-texmf/doc texmf/
+ for i in doc fonts jbibtex ptex
+ cp -a texmf/ptex-texmf/fonts texmf/
+ for i in doc fonts jbibtex ptex
+ cp -a texmf/ptex-texmf/jbibtex texmf/
+ for i in doc fonts jbibtex ptex
+ cp -a texmf/ptex-texmf/ptex texmf/
+ mkdir -p texmf/doc/ptex/ptex-texmf
+ for i in COPYRIGHT COPYRIGHT.jis Changes.txt README.txt
+ iconv -f ISO-2022-JP -t UTF-8 texmf/ptex-texmf/COPYRIGHT -o texmf/doc/ptex/ptex-texmf/COPYRIGHT
+ for i in COPYRIGHT COPYRIGHT.jis Changes.txt README.txt
+ iconv -f ISO-2022-JP -t UTF-8 texmf/ptex-texmf/COPYRIGHT.jis -o texmf/doc/ptex/ptex-texmf/COPYRIGHT.jis
+ for i in COPYRIGHT COPYRIGHT.jis Changes.txt README.txt
+ iconv -f ISO-2022-JP -t UTF-8 texmf/ptex-texmf/Changes.txt -o texmf/doc/ptex/ptex-texmf/Changes.txt
+ for i in COPYRIGHT COPYRIGHT.jis Changes.txt README.txt
+ iconv -f ISO-2022-JP -t UTF-8 texmf/ptex-texmf/README.txt -o texmf/doc/ptex/ptex-texmf/README.txt
+ rm -rf texmf/ptex-texmf
+ tar xfj /home/robot/rpm/SOURCES/ptex-src-3.1.9.tar.bz2 -C texk/web2c/
+ perl -pi -e 's|/\{ptex/\{platex,generic,\},tex/\{latex,generic,\}\}|/{ptex/platex,{p,}tex/latex,{p,}tex/generic,{p,}tex}|g; s/\| uniq//g' texk/web2c/ptex-src-3.1.9/mkconf
+ mkdir texmf/doc/ptex/ptex-src
+ cp -a texk/web2c/ptex-src-3.1.9/COPYRIGHT texmf/doc/ptex/ptex-src/
+ iconv -f ISO-2022-JP -t UTF-8 texk/web2c/ptex-src-3.1.9/COPYRIGHT.jis -o texmf/doc/ptex/ptex-src/COPYRIGHT-ja
+ for i in README.txt Changes.txt
+ iconv -f EUC-JP -t UTF-8 texk/web2c/ptex-src-3.1.9/README.txt -o texmf/doc/ptex/ptex-src/README.txt
+ for i in README.txt Changes.txt
+ iconv -f EUC-JP -t UTF-8 texk/web2c/ptex-src-3.1.9/Changes.txt -o texmf/doc/ptex/ptex-src/Changes.txt
+ tar xfj /home/robot/rpm/SOURCES/platex209.tar.bz2 -C texmf/ptex
+ cat
+ pushd texk/web2c/ptex-src-3.1.9
~/rpm/BUILD/tetex-src-3.0/texk/web2c/ptex-src-3.1.9 ~/rpm/BUILD/tetex-src-3.0
+ echo 'Patch #105 (tetex-3.0-jp-platex209.patch):'
Patch #105 (tetex-3.0-jp-platex209.patch):
+ patch -p1 -s
+ popd
~/rpm/BUILD/tetex-src-3.0
+ mkdir pdvipsk
+ tar xfj /home/robot/rpm/SOURCES/dvipsk-jpatch-p1.7a.tar.bz2 -C pdvipsk
+ mkdir texmf/doc/pdvipsk
+ for i in ChangeLog.jpatch README.jpatch
+ iconv -f EUC-JP -t UTF-8 pdvipsk/ChangeLog.jpatch -o texmf/doc/pdvipsk/ChangeLog.jpatch
+ for i in ChangeLog.jpatch README.jpatch
+ iconv -f EUC-JP -t UTF-8 pdvipsk/README.jpatch -o texmf/doc/pdvipsk/README.jpatch
+ cp -lR texk/dvipsk texk/pdvipsk
+ patch -d texk/pdvipsk -p1
patching file Makefile.in
patching file bbox.c
patching file color.c
patching file config.ps
patching file dopage.c
patching file dospecial.c
patching file download.c
patching file drawPS.c
patching file dvips.c
patching file dvips.h
patching file dvips.help
patching file fontdef.c
patching file loadfont.c
patching file output.c
patching file pprescan.c
patching file protos.h
patching file psfonts_jp.map
patching file ptexmac.h
patching file resident.c
patching file scanpage.c
patching file skippage.c
patching file squeeze.c
patching file tex.lpro
patching file tfmload.c
patching file virtualfont.c
+ cp -a texmf/dvips texmf/pdvips
+ patch -d texmf/pdvips/pstricks -p0
patching file pst-text.pro
+ echo 'Patch #100 (dvipsk-jpatch-pdvips.patch):'
Patch #100 (dvipsk-jpatch-pdvips.patch):
+ patch -p1 -b --suffix .pdvips -s
+ mkdir texmf/fonts/map/pdvips
+ ln -s dvips.1 texk/pdvipsk/pdvips.1
+ echo 'Patch #101 (tetex-3.0-reautoconf.patch):'
Patch #101 (tetex-3.0-reautoconf.patch):
+ patch -p1 -b --suffix .reautoconf -s
+ cp -a texk/xdvik texk/pxdvik
+ pushd texk/pxdvik
~/rpm/BUILD/tetex-src-3.0/texk/pxdvik ~/rpm/BUILD/tetex-src-3.0
+ echo 'Patch #102 (tetex-3.0-xdvi-22.84.10.patch):'
Patch #102 (tetex-3.0-xdvi-22.84.10.patch):
+ patch -p3 -s
+ echo 'Patch #103 (xdvi-22.84.10-j1.33.patch):'
Patch #103 (xdvi-22.84.10-j1.33.patch):
+ patch -p3 -s
+ mkdir -p /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 CHANGES.xdvik-jp -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/CHANGES.xdvik-jp
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 README.xdvik-jp -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/README.xdvik-jp
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/ChangeLog.xdvik20a-j1.1 -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/ChangeLog.xdvik20a-j1.1
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/ChangeLog.xdvik20c-j1.0 -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/ChangeLog.xdvik20c-j1.0
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/ChangeLog.xdvik22.40b-j1.05 -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/ChangeLog.xdvik22.40b-j1.05
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/ChangeLog.xdvik22.40y1-j1.21.html -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/ChangeLog.xdvik22.40y1-j1.21.html
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/HEADERS.DOC -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/HEADERS.DOC
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/InternalVars -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/InternalVars
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.jp+toc+hal2 -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.jp+toc+hal2
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.jp-patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.jp-patch
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.markpage+toc+printdvi -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.markpage+toc+printdvi
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.markpage+toc+printdvi+paper -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.markpage+toc+printdvi+paper
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.miyu-beta6 -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.miyu-beta6
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.ptex -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.ptex
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.tasai-ussy -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.tasai-ussy
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.vf2ft -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.vf2ft
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik-22.15-j1.04.patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik-22.15-j1.04.patch
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik-22.40b-j1.05.patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik-22.40b-j1.05.patch
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik-22.40y1-j1.21 -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik-22.40y1-j1.21
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik18f-j1.0.patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik18f-j1.0.patch
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik18f-j1.1p5.patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik18f-j1.1p5.patch
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik20a-j1.1.patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik20a-j1.1.patch
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik20c-j1.0+hal2+dvisel -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik20c-j1.0+hal2+dvisel
+ for i in CHANGES.xdvik-jp README.xdvik-jp 'READMEs/*'
+ iconv -f EUC-JP -t UTF-8 READMEs/README.xdvik20c-j1.0p1.patch -o /home/robot/rpm/BUILD/tetex-src-3.0/texmf/doc/pxdvi/READMEs/README.xdvik20c-j1.0p1.patch
+ popd
~/rpm/BUILD/tetex-src-3.0
+ echo 'Patch #104 (tetex-3.0-pxdvi.patch):'
Patch #104 (tetex-3.0-pxdvi.patch):
+ patch -p1 -b --suffix .pxdvi -s
+ mv texk/pxdvik/vfontmap.sample texk/pxdvik/vfontmap.sample.orig
+ install -m 644 /home/robot/rpm/SOURCES/vfontmap texk/pxdvik/vfontmap.sample
+ tar xfj /home/robot/rpm/SOURCES/mendexk2.6d.tar.bz2 -C texk
+ pushd texk/mendexk2.6d
~/rpm/BUILD/tetex-src-3.0/texk/mendexk2.6d ~/rpm/BUILD/tetex-src-3.0
+ mv mendex.1 mendex.1.eucjp
+ iconv -f EUC-JP -t UTF-8 mendex.1.eucjp -o mendex.1
+ popd
~/rpm/BUILD/tetex-src-3.0
+ pushd texk/tetex
~/rpm/BUILD/tetex-src-3.0/texk/tetex ~/rpm/BUILD/tetex-src-3.0
+ for i in fmtutil.man texlinks.man thumbpdf.man
+ mv -f fmtutil.man fmtutil.man.orig
+ sed -e 's/\xa9/(C)/' fmtutil.man.orig
+ rm -f fmtutil.man.orig
+ for i in fmtutil.man texlinks.man thumbpdf.man
+ mv -f texlinks.man texlinks.man.orig
+ sed -e 's/\xa9/(C)/' texlinks.man.orig
+ rm -f texlinks.man.orig
+ for i in fmtutil.man texlinks.man thumbpdf.man
+ mv -f thumbpdf.man thumbpdf.man.orig
+ sed -e 's/\xa9/(C)/' thumbpdf.man.orig
+ rm -f thumbpdf.man.orig
+ popd
~/rpm/BUILD/tetex-src-3.0
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.51947
+ umask 022
+ cd /home/robot/rpm/BUILD
+ cd tetex-src-3.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ set -x
+ unset TEXINPUTS
+ unset HOME
+ sh ./reautoconf
.
libs
texk
texk/dviljk
configure.in:14: warning: AC_TRY_RUN called without default to allow cross compiling
configure.in:15: warning: AC_TRY_RUN called without default to allow cross compiling
texk/dvipdfm
texk/dvipng
texk/dvipsk
configure.in:22: warning: AC_TRY_RUN called without default to allow cross compiling
texk/gsftopk
texk/kpathsea
texk/makeindexk
texk/pdvipsk
configure.in:22: warning: AC_TRY_RUN called without default to allow cross compiling
texk/ps2pkm
texk/pxdvik
configure.in:34: warning: AC_TRY_RUN called without default to allow cross compiling
configure.in:43: warning: AC_TRY_RUN called without default to allow cross compiling
texk/tetex
texk/web2c
configure.in:78: warning: AC_TRY_RUN called without default to allow cross compiling
configure.in:79: warning: AC_TRY_RUN called without default to allow cross compiling
configure.in:80: warning: AC_TRY_RUN called without default to allow cross compiling
texk/xdvik
configure.in:34: warning: AC_TRY_RUN called without default to allow cross compiling
configure.in:43: warning: AC_TRY_RUN called without default to allow cross compiling
libs/xpdf
libs/t1lib
configure.in:63: warning: AC_TRY_RUN called without default to allow cross compiling
configure.in:161: warning: AC_TRY_RUN called without default to allow cross compiling
libs/type1
libs/gd
+ for file in config.sub config.guess
++ find . -type f -name config.sub
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.sub ./config/config.sub
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.sub ./utils/texinfo/config.sub
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.sub ./utils/texi2html/config.sub
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.sub ./libs/ncurses/config.sub
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.sub ./texk/config.sub
+ for file in config.sub config.guess
++ find . -type f -name config.guess
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.guess ./config/config.guess
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.guess ./utils/texinfo/config.guess
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.guess ./utils/texi2html/config.guess
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.guess ./libs/ncurses/config.guess
+ for place in '`find . -type f -name $file`'
+ cp -f /usr/share/libtool/config.guess ./texk/config.guess
+ export 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables'
+ export FFLAGS
++ find . -name config.guess -o -name config.sub
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./config/config.sub
++ basename ./config/config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config/config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./config/config.sub'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /bin/rm -f ./config/config.guess
++ basename ./config/config.guess
+ /bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config/config.guess
`/usr/lib/rpm/redhat/config.guess' -> `./config/config.guess'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./utils/texinfo/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./utils/texinfo/config.sub
++ basename ./utils/texinfo/config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./utils/texinfo/config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./utils/texinfo/config.sub'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./utils/texinfo/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /bin/rm -f ./utils/texinfo/config.guess
++ basename ./utils/texinfo/config.guess
+ /bin/cp -fv /usr/lib/rpm/redhat/config.guess ./utils/texinfo/config.guess
`/usr/lib/rpm/redhat/config.guess' -> `./utils/texinfo/config.guess'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./utils/texi2html/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./utils/texi2html/config.sub
++ basename ./utils/texi2html/config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./utils/texi2html/config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./utils/texi2html/config.sub'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./utils/texi2html/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /bin/rm -f ./utils/texi2html/config.guess
++ basename ./utils/texi2html/config.guess
+ /bin/cp -fv /usr/lib/rpm/redhat/config.guess ./utils/texi2html/config.guess
`/usr/lib/rpm/redhat/config.guess' -> `./utils/texi2html/config.guess'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./libs/ncurses/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./libs/ncurses/config.sub
++ basename ./libs/ncurses/config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./libs/ncurses/config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./libs/ncurses/config.sub'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./libs/ncurses/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /bin/rm -f ./libs/ncurses/config.guess
++ basename ./libs/ncurses/config.guess
+ /bin/cp -fv /usr/lib/rpm/redhat/config.guess ./libs/ncurses/config.guess
`/usr/lib/rpm/redhat/config.guess' -> `./libs/ncurses/config.guess'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./texk/config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./texk/config.sub
++ basename ./texk/config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./texk/config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./texk/config.sub'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./texk/config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /bin/rm -f ./texk/config.guess
++ basename ./texk/config.guess
+ /bin/cp -fv /usr/lib/rpm/redhat/config.guess ./texk/config.guess
`/usr/lib/rpm/redhat/config.guess' -> `./texk/config.guess'
+ ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu --target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/
etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --with-system-n
curses --with-system-zlib --with-system-pnglib --with-system-gd --disable-multiplatform --without-dialog --without-texinfo --without-texi2html --with-mf-x-toolkit=yes --with-xdvi-x-toolkit=xaw3d --datadir=/u
sr/share --enable-freetype
creating cache ./config.cache
checking whether make sets ${MAKE}... yes
checking for gcc... gcc
checking whether the C compiler (gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables ) works..
. no
configure: error: installation or configuration problem: C compiler cannot create executables.
error: Bad exit status from /var/tmp/rpm-tmp.51947 (%build)
----------------------------
Comment 5 Jindrich Novy 2009-04-23 10:36:47 EDT
Created attachment 340944 [details]
build log

Sorry, but I'm still able to build it without problems. Attaching the build log.
Comment 6 Levente Farkas 2009-04-23 18:01:20 EDT
can you attach your mock config too?
thanks
Comment 7 Levente Farkas 2009-04-26 14:55:12 EDT
ok now i use rhel 5.1 where this version was introduced.
now i've got exactly the same error as reported in #325311. and as it's version are newer in fedora and even that version fail. it's clear to me that tetex-3.0-33.2.el5_1.2.src.rpm contains the same bug.
anyway it's still not clear for me how can you rebuild it on rhel-5???

+ /usr/lib/rpm/check-buildroot                                                                                                                                              
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/cont-en.fmt matches                                                                                               
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/etex.fmt matches                                                                                                  
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/mf.base matches                                                                                                   
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/bplain.fmt matches                                                                                                
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/latex.fmt matches                                                                                                 
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/bamstex.fmt matches                                                                                               
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/pdftex.fmt matches                                                                                                
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/pdflatex.fmt matches                                                                                              
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/amstex.fmt matches                                                                                                
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/pdfetex.fmt matches                                                                                               
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/tex.fmt matches                                                                                                   
Binary file /var/tmp/tetex-root/usr/share/texmf-var/web2c/mptopdf.fmt matches                                                                                               
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_ndl14.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_ndl14.map: maintai
ned by the script updmap.                                                                                                                                                   
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_dl14.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/pdftex/updmap/pdftex_dl14.map: maintaine
d by the script updmap.                                                                                                                                                     
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_dl14.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_dl14.map: maint
ained by the script updmap.                                                                                                                                                 
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_ndl14.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvipdfm/updmap/dvipdfm_ndl14.map: mai
ntained by the script updmap.                                                                                                                                               
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/download35.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/download35.map: maintained by
 the script updmap.                                                                                                                                                         
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_pk.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_pk.map: maintained by
 the script updmap.                                                                                                                                                         
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/ps2pk.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/ps2pk.map: maintained by the scrip
t updmap.                                                                                                                                                                   
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_t1.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_t1.map: maintained by
 the script updmap.                                                                                                                                                         
/var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/builtin35.map:% /var/tmp/tetex-root/usr/share/texmf-var/fonts/map/dvips/updmap/builtin35.map: maintained by t
he script updmap.                                                                                                                                                           
Found '/var/tmp/tetex-root' in installed files; aborting                                                                                                                    
RPM build errors:                                                                                                                                                           
error: Bad exit status from /var/tmp/rpm-tmp.4731 (%install)                                                                                                                
    Bad exit status from /var/tmp/rpm-tmp.4731 (%install)                                                                                                                   
Child returncode was: 1                                                                                                                                                     
EXCEPTION: Command failed. See logs for output.                                                                                                                             
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/tetex.spec']                                                                         
Traceback (most recent call last):                                                                                                                                          
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace                                                                                        
    result = func(*args, **kw)                                                                                                                                              
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 324, in do                                                                                                     
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)                                                              
Error: Command failed. See logs for output.                                                                                                                                 
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/tetex.spec']                                                                         
LEAVE do --> EXCEPTION RAISED
Comment 8 Levente Farkas 2009-06-19 05:41:48 EDT
now the situation getting even worse:
---------------------------------------------
Transcript written on ptex-euc.log.                                                                                                                                         
TEXMFCNF=. make progname=platex files="platex.ltx" prereq-check                                                                                                             
make[1]: Entering directory `/builddir/build/BUILD/tetex-src-3.0/texk/web2c/ptex-src-3.1.9'                                                                                 
TEXMFCNF=. ../../kpathsea/kpsewhich --progname=platex platex.ltx >/dev/null || make prereq-lose >/dev/null                                                                  
make[1]: Leaving directory `/builddir/build/BUILD/tetex-src-3.0/texk/web2c/ptex-src-3.1.9'                                                                                  
TEXMFCNF=. ./ptex --ini --kanji=euc --progname=platex --jobname=platex-euc \\input platex.ltx </dev/null                                                                    
This is pTeX, Version 3.141592-p3.1.9 (euc) (Web2C 7.5.4) (INITEX)                                                                                                          
(../../../texmf/ptex/platex/base/platex.ltx                                                                                                                                 
(../../../texmf/tex/latex/base/latex.ltx                                                                                                                                    
(../../../texmf/tex/latex/base/texsys.cfg)                                                                                                                                  
./texsys.aux found                                                                                                                                                          
\@currdir set to: ./.                                                                                                                                                       
Assuming \openin and \input                                                                                                                                                 
have the same search path.                                                                                                                                                  
Defining UNIX/DOS style filename parser.                                                                                                                                    
catcodes, registers, compatibility for TeX 2,  parameters,                                                                                                                  
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!                                                                                                          
! You are attempting to make a LaTeX format from a source file                                                                                                              
! That is more than five years old.                                                                                                                                         
!                                                                                                                                                                           
! If you enter <return> to scroll past this message then the format                                                                                                         
! will be built, but please consider obtaining newer source files                                                                                                           
! before continuing to build LaTeX.                                                                                                                                         
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!                                                                                                          
! LaTeX source files more than 5 years old!.                                                                                                                                
l.540 ...aTeX source files more than 5 years old!}                                                                                                                          
                                                                                                                                                                            
?                                                                                                                                                                           
! Emergency stop.                                                                                                                                                           
l.540 ...aTeX source files more than 5 years old!}                                                                                                                          
                                                                                                                                                                            
No pages of output.                                                                                                                                                         
Transcript written on platex-euc.log.                                                                                                                                       
make: *** [platex-euc.fmt] Error 1                                                                                                                                          
error: Bad exit status from /var/tmp/rpm-tmp.9672 (%build)                                                                                                                  
RPM build errors:                                                                                                                                                           
    Bad exit status from /var/tmp/rpm-tmp.9672 (%build)                
---------------------------------------------
Comment 9 C.M. Connelly 2009-06-25 20:05:06 EDT
I can confirm the five-years-old error when trying to rebuild using tetex-3.0-33.2.el5_1.2.src.rpm on a 5.3 machine.  (The same issue makes it impossible to rebuild format files using the stock RPM.)

The "fix" is to edit tetex-src-3.0/texmf/tex/latex/base/latex.ltx, and either change the counter check to be large enough to not trigger with the lifetime of RHEL 5 or comment out the test and warnings.

Alternatively, you could update the LaTeX sources in the teTeX package.  (The most recent LaTeX release  is dated 2005/12/01.)
Comment 10 Levente Farkas 2009-09-08 10:11:38 EDT
fixed in 5.4 so close this bug.

Note You need to log in before you can comment on or make changes to this bug.